modules

# Class: samba3domain

Source Location: /lib/account.inc

### Class Overview

Represents a Samba 3 domain entry

### Variables

- $dn
- $name
- $nextGroupRID
- $nextRID
- $nextUserRID
- $RIDbase
- $SID

### Class Details

[line 349]
Represents a Samba 3 domain entry
[ Top ]

### Class Variables

#### $dn =

[line 352]

DN

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $name =

[line 355]

Domain name

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextGroupRID =

[line 367]

Next group RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextRID =

[line 361]

Next RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextUserRID =

[line 364]

Next user RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $RIDbase = 1000

[line 370]

RID base to calculate RIDs, default 1000

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $SID =

[line 358]

Domain SID

#### Tags:

access: | public

Type: | mixed

[ Top ]

Documentation generated on Mon, 28 Apr 2008 20:16:53 +0200 by phpDocumentor 1.4.0